Gentoo Archives: gentoo-commits

From: Thomas Deutschmann <whissi@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-fs/xfsdump/, sys-fs/xfsdump/files/
Date: Fri, 14 Feb 2020 13:55:23
Message-Id: 1581688509.4995538f727b3fbea1b4628b72159c34e78598a1.whissi@gentoo
commit:     4995538f727b3fbea1b4628b72159c34e78598a1
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 14 13:47:44 2020 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Fri Feb 14 13:55:09 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4995538f

sys-fs/xfsdump: bump to v3.1.9

Closes: https://bugs.gentoo.org/693296
Package-Manager: Portage-2.3.88, Repoman-2.3.20
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 sys-fs/xfsdump/Manifest                            |  1 +
 sys-fs/xfsdump/files/xfsdump-3.1.9-fix-docs.patch  | 22 +++++++
 .../xfsdump/files/xfsdump-3.1.9-no-symlink.patch   | 26 ++++++++
 .../files/xfsdump-3.1.9-prompt-overflow.patch      | 14 +++++
 ...ump-3.1.9-skip-inventory-debian-subfolder.patch | 18 ++++++
 sys-fs/xfsdump/xfsdump-3.1.9.ebuild                | 69 ++++++++++++++++++++++
 6 files changed, 150 insertions(+)

diff --git a/sys-fs/xfsdump/Manifest b/sys-fs/xfsdump/Manifest
index f073dac6119..06432dc74d6 100644
--- a/sys-fs/xfsdump/Manifest
+++ b/sys-fs/xfsdump/Manifest
@@ -1,2 +1,3 @@
 DIST xfsdump-3.1.6.tar.gz 848698 BLAKE2B c87738640f2d5f424d8e8e9df50a75b2424c1f2741a47cd94f1e63d18b460946f1cb0ff362d2a00345db8fcc8e3518faa720e6495b138aaa51fe4e8d2d1bd24a SHA512 6d8eff10c65e0a0893525590953ccb7ec0095ba528725ffe3f18260e6cb8f66dd3945c60477500e84421a9ed57fae9e8f0f25c3c0900be3671f30ca6951ed5e7
 DIST xfsdump-3.1.8.tar.xz 603304 BLAKE2B 8f923ca267f648e88e4e964bcafcfd3bfde0fdb4e6753a9c21bbb8a1ae0f63e868cdad3da4eed5e95ffda861278eaaad49758701384681f3b0a19b93e07a232d SHA512 84720c83627647c75b42c59d180bb31cbb6e064568bef18b73641cf821fa7d39e6f7e0df4a6c7ffd36fba63296ab88cb83f0effdb1f6aa98f4b593ca0e658e0b
+DIST xfsdump-3.1.9.tar.xz 600348 BLAKE2B 9e833acaacd3ad581b4f23731d7d613fcffa3d518f43638cddbc7da7015e582cb9415e00616e5e8586836831b6d5877fa83e8a5fd931fd454731bf2af7072095 SHA512 e8f9811d16fc06ab49fe2c109de0546c989575eca6e68b579c6d219a745f935952020069f58b357c5c87b944c5097ca2894466d328d09f06beb8a55880142351

diff --git a/sys-fs/xfsdump/files/xfsdump-3.1.9-fix-docs.patch b/sys-fs/xfsdump/files/xfsdump-3.1.9-fix-docs.patch
new file mode 100644
index 00000000000..e8584a0e340
--- /dev/null
+++ b/sys-fs/xfsdump/files/xfsdump-3.1.9-fix-docs.patch
@@ -0,0 +1,22 @@
+Do not compress changelog during build.
+
+--- a/doc/Makefile
++++ b/doc/Makefile
+@@ -12,7 +12,7 @@ LSRCFILES = INSTALL CHANGES COPYING $(README) \
+ 
+ LDIRT = *.gz
+ 
+-default: CHANGES.gz
++default:
+ 
+ include $(BUILDRULES)
+ 
+@@ -22,7 +22,7 @@ CHANGES.gz:
+ 
+ install: default
+ 	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
+-	$(INSTALL) -m 644 CHANGES.gz $(README) $(PKG_DOC_DIR)
++	$(INSTALL) -m 644 CHANGES $(README) $(PKG_DOC_DIR)
+ ifeq ($(PKG_DISTRIBUTION), debian)
+ 	$(INSTALL) -S CHANGES.gz $(PKG_DOC_DIR)/changelog.gz
+ else

diff --git a/sys-fs/xfsdump/files/xfsdump-3.1.9-no-symlink.patch b/sys-fs/xfsdump/files/xfsdump-3.1.9-no-symlink.patch
new file mode 100644
index 00000000000..295533a6a9d
--- /dev/null
+++ b/sys-fs/xfsdump/files/xfsdump-3.1.9-no-symlink.patch
@@ -0,0 +1,26 @@
+http://bugs.gentoo.org/311881
+
+--- a/dump/Makefile
++++ b/dump/Makefile
+@@ -100,9 +100,6 @@ install: default
+ 	$(INSTALL) -m 755 -d $(PKG_ROOT_SBIN_DIR)
+ 	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_ROOT_SBIN_DIR)
+ 	$(INSTALL) -m 755 -d $(PKG_SBIN_DIR)
+-	# skip symlink when /sbin is alread symlinked to /usr/sbin, like on Fedora
+-	test $(PKG_ROOT_SBIN_DIR) -ef $(PKG_SBIN_DIR) || \
+-		$(INSTALL) -S $(PKG_ROOT_SBIN_DIR)/$(LTCOMMAND) $(PKG_SBIN_DIR)/$(LTCOMMAND)
+ install-dev:
+ 
+ .dep: $(COMMINCL) $(COMMON) $(INVINCL) $(INVCOMMON)
+--- a/restore/Makefile
++++ b/restore/Makefile
+@@ -114,9 +114,6 @@ install: default
+ 	$(INSTALL) -m 755 -d $(PKG_ROOT_SBIN_DIR)
+ 	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_ROOT_SBIN_DIR)
+ 	$(INSTALL) -m 755 -d $(PKG_SBIN_DIR)
+-	# skip symlink when /sbin is alread symlinked to /usr/sbin, like on Fedora
+-	test $(PKG_ROOT_SBIN_DIR) -ef $(PKG_SBIN_DIR) || \
+-		$(INSTALL) -S $(PKG_ROOT_SBIN_DIR)/$(LTCOMMAND) $(PKG_SBIN_DIR)/$(LTCOMMAND)
+ install-dev:
+ 
+ .dep: $(COMMINCL) $(COMMON) $(INVINCL) $(INVCOMMON)

diff --git a/sys-fs/xfsdump/files/xfsdump-3.1.9-prompt-overflow.patch b/sys-fs/xfsdump/files/xfsdump-3.1.9-prompt-overflow.patch
new file mode 100644
index 00000000000..60a01f8639b
--- /dev/null
+++ b/sys-fs/xfsdump/files/xfsdump-3.1.9-prompt-overflow.patch
@@ -0,0 +1,14 @@
+http://oss.sgi.com/bugzilla/show_bug.cgi?id=876
+https://bugs.gentoo.org/335115
+
+--- a/dump/content.c
++++ b/dump/content.c
+@@ -6460,7 +6460,7 @@
+ Media_prompt_erase( drive_t *drivep )
+ {
+ 	fold_t fold;
+-	char question[100];
++	char question[200];
+ 	char *preamblestr[PREAMBLEMAX];
+ 	size_t preamblecnt;
+ 	char *querystr[QUERYMAX];

diff --git a/sys-fs/xfsdump/files/xfsdump-3.1.9-skip-inventory-debian-subfolder.patch b/sys-fs/xfsdump/files/xfsdump-3.1.9-skip-inventory-debian-subfolder.patch
new file mode 100644
index 00000000000..643495faa71
--- /dev/null
+++ b/sys-fs/xfsdump/files/xfsdump-3.1.9-skip-inventory-debian-subfolder.patch
@@ -0,0 +1,18 @@
+Do not build inventory/ subdirectory.
+Bug: https://bugs.gentoo.org/692972
+Upstream report: https://www.spinics.net/lists/linux-xfs/msg36884.html
+
+
+Do not build debian/ subdirectory.
+
+--- a/Makefile
++++ b/Makefile
+@@ -42,7 +42,7 @@ LDIRT += $(SRCTAR)
+ endif
+ 
+ LIB_SUBDIRS = librmt
+-TOOL_SUBDIRS = common inventory invutil dump restore m4 man doc po debian
++TOOL_SUBDIRS = common invutil dump restore m4 man doc po
+ 
+ SUBDIRS = include $(LIB_SUBDIRS) $(TOOL_SUBDIRS)
+ 

diff --git a/sys-fs/xfsdump/xfsdump-3.1.9.ebuild b/sys-fs/xfsdump/xfsdump-3.1.9.ebuild
new file mode 100644
index 00000000000..f1954b101a5
--- /dev/null
+++ b/sys-fs/xfsdump/xfsdump-3.1.9.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit multilib flag-o-matic toolchain-funcs
+
+DESCRIPTION="xfs dump/restore utilities"
+HOMEPAGE="https://xfs.wiki.kernel.org/"
+SRC_URI="https://www.kernel.org/pub/linux/utils/fs/xfs/${PN}/${P}.tar.xz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~mips ~ppc ~ppc64 -sparc ~x86"
+IUSE="ncurses nls"
+
+RDEPEND="
+	>=sys-apps/attr-2.4.19
+	sys-apps/dmapi
+	sys-apps/util-linux
+	sys-fs/e2fsprogs
+	>=sys-fs/xfsprogs-3.2.0
+	ncurses? ( sys-libs/ncurses:0= )
+"
+DEPEND="${RDEPEND}
+	nls? (
+		sys-devel/gettext
+		elibc_uclibc? ( dev-libs/libintl )
+	)"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-3.1.9-prompt-overflow.patch #335115
+	"${FILESDIR}"/${PN}-3.1.9-no-symlink.patch #311881
+	"${FILESDIR}"/${PN}-3.1.6-linguas.patch #561664
+	"${FILESDIR}"/${PN}-3.1.9-fix-docs.patch
+	"${FILESDIR}"/${PN}-3.1.9-skip-inventory-debian-subfolder.patch
+)
+
+src_prepare() {
+	sed -i \
+		-e "/^PKG_DOC_DIR/s:@pkg_name@:${PF}:" \
+		include/builddefs.in \
+		|| die
+	sed -i \
+		-e "s:enable_curses=[a-z]*:enable_curses=$(usex ncurses):" \
+		-e "s:libcurses=\"[^\"]*\":libcurses='$(use ncurses && $(tc-getPKG_CONFIG) --libs ncurses)':" \
+		configure || die #605852
+
+	default
+}
+
+src_configure() {
+	unset PLATFORM #184564
+	export OPTIMIZER=${CFLAGS}
+	export DEBUG=-DNDEBUG
+
+	local myeconfargs=(
+		$(use_enable nls gettext)
+		--libdir="${EPREFIX}/$(get_libdir)"
+		--libexecdir="${EPREFIX}/usr/$(get_libdir)"
+		--sbindir="${EPREFIX}/sbin"
+	)
+	econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+	# enable verbose build
+	emake V=1
+}